libosmodsp UNKNOWN Osmocom DSP library

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Functions
cxvec_math.c File Reference
Complex vectors » Complex vectors math and signal processing

Osmocom Complex vectors math implementation. More...

## Functions
struct osmo_cxvec * | osmo_cxvec_scale (const struct osmo_cxvec *in, float complex scale, struct osmo_cxvec *out)
| Scale a complex vector (multiply by a constant) More...
struct osmo_cxvec * | osmo_cxvec_rotate (const struct osmo_cxvec *in, float rps, struct osmo_cxvec *out)
| Rotate a complex vector (frequency shift) More...
struct osmo_cxvec * | osmo_cxvec_delay (const struct osmo_cxvec *in, float delay, struct osmo_cxvec *out)
| Fractionally delay a vector while maintaining its length. More...
struct osmo_cxvec * | osmo_cxvec_convolve (const struct osmo_cxvec *f, const struct osmo_cxvec *g, enum osmo_cxvec_conv_type type, struct osmo_cxvec *out)
| Convolve two complex vectors. More...
struct osmo_cxvec * | osmo_cxvec_correlate (const struct osmo_cxvec *f, const struct osmo_cxvec *g, int g_corr_step, struct osmo_cxvec *out)
| Cross-correlate two complex vectors. More...
float complex | osmo_cxvec_interpolate_point (const struct osmo_cxvec *cv, float pos)
| Interpolate any fractional position in a vector using sinc filtering. More...
int | osmo_cxvec_peaks_scan (const struct osmo_cxvec *cv, int *peaks_idx, int N)
| Find the index of the N highest energy ( ) peaks. More...
float | osmo_cxvec_peak_energy_find (const struct osmo_cxvec *cv, int win_size, enum osmo_cxvec_peak_alg alg, float complex *peak_val_p)
| Find the maximum energy ( ) peak in a sequence. More...
struct osmo_cxvec * | osmo_cxvec_sig_normalize (const struct osmo_cxvec *sig, int decim, float freq_shift, struct osmo_cxvec *out)
| 'Normalize' an IQ signal and apply decimation/frequency shift More...

## Detailed Description

Osmocom Complex vectors math implementation.